package com.njcn.influx.bo.po;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.njcn.influx.utils.InstantDateSerializer;
import com.njcn.oracle.bo.po.DataHarmpowerQ;
import lombok.Data;
import org.influxdb.annotation.Column;
import org.influxdb.annotation.Measurement;
import org.influxdb.annotation.TimeColumn;

import java.time.Instant;
import java.time.ZoneId;
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;
import java.util.stream.Stream;

/**
 * 类的介绍：
 *
 * @author xuyang
 * @version 1.0.0
 * @createTime 2022/5/12 9:13
 */
@Data
@Measurement(name = "data_harmpower_q")
public class InfluxDBDataHarmpowerQ {

    @TimeColumn
    @Column(name = "time",tag = true)
    @JsonSerialize(using = InstantDateSerializer.class)
    private Instant time;

    @Column(name = "line_id",tag = true)
    private String lineId;

    @Column(name = "phasic_type",tag = true)
    private String phaseType;

    @Column(name = "quality_flag",tag = true)
    private String qualityFlag;

    @Column(name = "value_type",tag = true)
    private String valueType;

    @Column(name = "q")
    private Float q;

    @Column(name = "q_1")
    private Float q1;

    @Column(name = "q_2")
    private Float q2;

    @Column(name = "q_3")
    private Float q3;

    @Column(name = "q_4")
    private Float q4;

    @Column(name = "q_5")
    private Float q5;

    @Column(name = "q_6")
    private Float q6;

    @Column(name = "q_7")
    private Float q7;

    @Column(name = "q_8")
    private Float q8;

    @Column(name = "q_9")
    private Float q9;

    @Column(name = "q_10")
    private Float q10;

    @Column(name = "q_11")
    private Float q11;

    @Column(name = "q_12")
    private Float q12;

    @Column(name = "q_13")
    private Float q13;

    @Column(name = "q_14")
    private Float q14;

    @Column(name = "q_15")
    private Float q15;

    @Column(name = "q_16")
    private Float q16;

    @Column(name = "q_17")
    private Float q17;

    @Column(name = "q_18")
    private Float q18;

    @Column(name = "q_19")
    private Float q19;

    @Column(name = "q_20")
    private Float q20;

    @Column(name = "q_21")
    private Float q21;

    @Column(name = "q_22")
    private Float q22;

    @Column(name = "q_23")
    private Float q23;

    @Column(name = "q_24")
    private Float q24;

    @Column(name = "q_25")
    private Float q25;

    @Column(name = "q_26")
    private Float q26;

    @Column(name = "q_27")
    private Float q27;

    @Column(name = "q_28")
    private Float q28;

    @Column(name = "q_29")
    private Float q29;

    @Column(name = "q_30")
    private Float q30;

    @Column(name = "q_31")
    private Float q31;

    @Column(name = "q_32")
    private Float q32;

    @Column(name = "q_33")
    private Float q33;

    @Column(name = "q_34")
    private Float q34;

    @Column(name = "q_35")
    private Float q35;

    @Column(name = "q_36")
    private Float q36;

    @Column(name = "q_37")
    private Float q37;

    @Column(name = "q_38")
    private Float q38;

    @Column(name = "q_39")
    private Float q39;

    @Column(name = "q_40")
    private Float q40;

    @Column(name = "q_41")
    private Float q41;

    @Column(name = "q_42")
    private Float q42;

    @Column(name = "q_43")
    private Float q43;

    @Column(name = "q_44")
    private Float q44;

    @Column(name = "q_45")
    private Float q45;

    @Column(name = "q_46")
    private Float q46;

    @Column(name = "q_47")
    private Float q47;

    @Column(name = "q_48")
    private Float q48;

    @Column(name = "q_49")
    private Float q49;

    @Column(name = "q_50")
    private Float q50;

    public static List<InfluxDBDataHarmpowerQ> oralceToInfluxDB(DataHarmpowerQ dataHarmpowerQ) {
        if (dataHarmpowerQ == null) {
            return null;
        }
        List<InfluxDBDataHarmpowerQ> influxDBDataHarmPhasicVList = new ArrayList<>();
        List<String> valueTypeList = Stream.of("AVG", "MAX", "MIN", "CP95").collect(Collectors.toList());
        for (String valueType : valueTypeList) {
            InfluxDBDataHarmpowerQ influxDBDataHarmPhasicV = new InfluxDBDataHarmpowerQ();
            Instant instant = dataHarmpowerQ.getTimeid().atZone(ZoneId.systemDefault()).toInstant();

            influxDBDataHarmPhasicV.setTime(instant);
            influxDBDataHarmPhasicV.setLineId(dataHarmpowerQ.getLineid());
            influxDBDataHarmPhasicV.setPhaseType(dataHarmpowerQ.getPhasicType());
            influxDBDataHarmPhasicV.setQualityFlag(dataHarmpowerQ.getQualityflag()+"");
            influxDBDataHarmPhasicV.setValueType(valueType);
            if (valueType.equals("AVG")) {

                influxDBDataHarmPhasicV.setQ(dataHarmpowerQ.getQ());


                influxDBDataHarmPhasicV.setQ1(dataHarmpowerQ.getQ1());
                influxDBDataHarmPhasicV.setQ2(dataHarmpowerQ.getQ2());
                influxDBDataHarmPhasicV.setQ3(dataHarmpowerQ.getQ3());
                influxDBDataHarmPhasicV.setQ4(dataHarmpowerQ.getQ4());
                influxDBDataHarmPhasicV.setQ5(dataHarmpowerQ.getQ5());
                influxDBDataHarmPhasicV.setQ6(dataHarmpowerQ.getQ6());
                influxDBDataHarmPhasicV.setQ7(dataHarmpowerQ.getQ7());
                influxDBDataHarmPhasicV.setQ8(dataHarmpowerQ.getQ8());
                influxDBDataHarmPhasicV.setQ9(dataHarmpowerQ.getQ9());
                influxDBDataHarmPhasicV.setQ10(dataHarmpowerQ.getQ10());
                influxDBDataHarmPhasicV.setQ11(dataHarmpowerQ.getQ11());
                influxDBDataHarmPhasicV.setQ12(dataHarmpowerQ.getQ12());
                influxDBDataHarmPhasicV.setQ13(dataHarmpowerQ.getQ13());
                influxDBDataHarmPhasicV.setQ14(dataHarmpowerQ.getQ14());
                influxDBDataHarmPhasicV.setQ15(dataHarmpowerQ.getQ15());
                influxDBDataHarmPhasicV.setQ16(dataHarmpowerQ.getQ16());
                influxDBDataHarmPhasicV.setQ17(dataHarmpowerQ.getQ17());
                influxDBDataHarmPhasicV.setQ18(dataHarmpowerQ.getQ18());
                influxDBDataHarmPhasicV.setQ19(dataHarmpowerQ.getQ19());
                influxDBDataHarmPhasicV.setQ20(dataHarmpowerQ.getQ20());
                influxDBDataHarmPhasicV.setQ21(dataHarmpowerQ.getQ21());
                influxDBDataHarmPhasicV.setQ22(dataHarmpowerQ.getQ22());
                influxDBDataHarmPhasicV.setQ23(dataHarmpowerQ.getQ23());
                influxDBDataHarmPhasicV.setQ24(dataHarmpowerQ.getQ24());
                influxDBDataHarmPhasicV.setQ25(dataHarmpowerQ.getQ25());
                influxDBDataHarmPhasicV.setQ26(dataHarmpowerQ.getQ26());
                influxDBDataHarmPhasicV.setQ27(dataHarmpowerQ.getQ27());
                influxDBDataHarmPhasicV.setQ28(dataHarmpowerQ.getQ28());
                influxDBDataHarmPhasicV.setQ29(dataHarmpowerQ.getQ29());
                influxDBDataHarmPhasicV.setQ30(dataHarmpowerQ.getQ30());
                influxDBDataHarmPhasicV.setQ31(dataHarmpowerQ.getQ31());
                influxDBDataHarmPhasicV.setQ32(dataHarmpowerQ.getQ32());
                influxDBDataHarmPhasicV.setQ33(dataHarmpowerQ.getQ33());
                influxDBDataHarmPhasicV.setQ34(dataHarmpowerQ.getQ34());
                influxDBDataHarmPhasicV.setQ35(dataHarmpowerQ.getQ35());
                influxDBDataHarmPhasicV.setQ36(dataHarmpowerQ.getQ36());
                influxDBDataHarmPhasicV.setQ37(dataHarmpowerQ.getQ37());
                influxDBDataHarmPhasicV.setQ38(dataHarmpowerQ.getQ38());
                influxDBDataHarmPhasicV.setQ39(dataHarmpowerQ.getQ39());
                influxDBDataHarmPhasicV.setQ40(dataHarmpowerQ.getQ40());
                influxDBDataHarmPhasicV.setQ41(dataHarmpowerQ.getQ41());
                influxDBDataHarmPhasicV.setQ42(dataHarmpowerQ.getQ42());
                influxDBDataHarmPhasicV.setQ43(dataHarmpowerQ.getQ43());
                influxDBDataHarmPhasicV.setQ44(dataHarmpowerQ.getQ44());
                influxDBDataHarmPhasicV.setQ45(dataHarmpowerQ.getQ45());
                influxDBDataHarmPhasicV.setQ46(dataHarmpowerQ.getQ46());
                influxDBDataHarmPhasicV.setQ47(dataHarmpowerQ.getQ47());
                influxDBDataHarmPhasicV.setQ48(dataHarmpowerQ.getQ48());
                influxDBDataHarmPhasicV.setQ49(dataHarmpowerQ.getQ49());
                influxDBDataHarmPhasicV.setQ50(dataHarmpowerQ.getQ50());
            }
            else if (valueType.equals("MAX")){
                influxDBDataHarmPhasicV.setQ(dataHarmpowerQ.getQMax());

                influxDBDataHarmPhasicV.setQ1(dataHarmpowerQ.getQ1Max());
                influxDBDataHarmPhasicV.setQ2(dataHarmpowerQ.getQ2Max());
                influxDBDataHarmPhasicV.setQ3(dataHarmpowerQ.getQ3Max());
                influxDBDataHarmPhasicV.setQ4(dataHarmpowerQ.getQ4Max());
                influxDBDataHarmPhasicV.setQ5(dataHarmpowerQ.getQ5Max());
                influxDBDataHarmPhasicV.setQ6(dataHarmpowerQ.getQ6Max());
                influxDBDataHarmPhasicV.setQ7(dataHarmpowerQ.getQ7Max());
                influxDBDataHarmPhasicV.setQ8(dataHarmpowerQ.getQ8Max());
                influxDBDataHarmPhasicV.setQ9(dataHarmpowerQ.getQ9Max());
                influxDBDataHarmPhasicV.setQ10(dataHarmpowerQ.getQ10Max());
                influxDBDataHarmPhasicV.setQ11(dataHarmpowerQ.getQ11Max());
                influxDBDataHarmPhasicV.setQ12(dataHarmpowerQ.getQ12Max());
                influxDBDataHarmPhasicV.setQ13(dataHarmpowerQ.getQ13Max());
                influxDBDataHarmPhasicV.setQ14(dataHarmpowerQ.getQ14Max());
                influxDBDataHarmPhasicV.setQ15(dataHarmpowerQ.getQ15Max());
                influxDBDataHarmPhasicV.setQ16(dataHarmpowerQ.getQ16Max());
                influxDBDataHarmPhasicV.setQ17(dataHarmpowerQ.getQ17Max());
                influxDBDataHarmPhasicV.setQ18(dataHarmpowerQ.getQ18Max());
                influxDBDataHarmPhasicV.setQ19(dataHarmpowerQ.getQ19Max());
                influxDBDataHarmPhasicV.setQ20(dataHarmpowerQ.getQ20Max());
                influxDBDataHarmPhasicV.setQ21(dataHarmpowerQ.getQ21Max());
                influxDBDataHarmPhasicV.setQ22(dataHarmpowerQ.getQ22Max());
                influxDBDataHarmPhasicV.setQ23(dataHarmpowerQ.getQ23Max());
                influxDBDataHarmPhasicV.setQ24(dataHarmpowerQ.getQ24Max());
                influxDBDataHarmPhasicV.setQ25(dataHarmpowerQ.getQ25Max());
                influxDBDataHarmPhasicV.setQ26(dataHarmpowerQ.getQ26Max());
                influxDBDataHarmPhasicV.setQ27(dataHarmpowerQ.getQ27Max());
                influxDBDataHarmPhasicV.setQ28(dataHarmpowerQ.getQ28Max());
                influxDBDataHarmPhasicV.setQ29(dataHarmpowerQ.getQ29Max());
                influxDBDataHarmPhasicV.setQ30(dataHarmpowerQ.getQ30Max());
                influxDBDataHarmPhasicV.setQ31(dataHarmpowerQ.getQ31Max());
                influxDBDataHarmPhasicV.setQ32(dataHarmpowerQ.getQ32Max());
                influxDBDataHarmPhasicV.setQ33(dataHarmpowerQ.getQ33Max());
                influxDBDataHarmPhasicV.setQ34(dataHarmpowerQ.getQ34Max());
                influxDBDataHarmPhasicV.setQ35(dataHarmpowerQ.getQ35Max());
                influxDBDataHarmPhasicV.setQ36(dataHarmpowerQ.getQ36Max());
                influxDBDataHarmPhasicV.setQ37(dataHarmpowerQ.getQ37Max());
                influxDBDataHarmPhasicV.setQ38(dataHarmpowerQ.getQ38Max());
                influxDBDataHarmPhasicV.setQ39(dataHarmpowerQ.getQ39Max());
                influxDBDataHarmPhasicV.setQ40(dataHarmpowerQ.getQ40Max());
                influxDBDataHarmPhasicV.setQ41(dataHarmpowerQ.getQ41Max());
                influxDBDataHarmPhasicV.setQ42(dataHarmpowerQ.getQ42Max());
                influxDBDataHarmPhasicV.setQ43(dataHarmpowerQ.getQ43Max());
                influxDBDataHarmPhasicV.setQ44(dataHarmpowerQ.getQ44Max());
                influxDBDataHarmPhasicV.setQ45(dataHarmpowerQ.getQ45Max());
                influxDBDataHarmPhasicV.setQ46(dataHarmpowerQ.getQ46Max());
                influxDBDataHarmPhasicV.setQ47(dataHarmpowerQ.getQ47Max());
                influxDBDataHarmPhasicV.setQ48(dataHarmpowerQ.getQ48Max());
                influxDBDataHarmPhasicV.setQ49(dataHarmpowerQ.getQ49Max());
                influxDBDataHarmPhasicV.setQ50(dataHarmpowerQ.getQ50Max());
            }
            else if (valueType.equals("MIN")){
                influxDBDataHarmPhasicV.setQ(dataHarmpowerQ.getQMin());

                influxDBDataHarmPhasicV.setQ1(dataHarmpowerQ.getQ1Min());
                influxDBDataHarmPhasicV.setQ2(dataHarmpowerQ.getQ2Min());
                influxDBDataHarmPhasicV.setQ3(dataHarmpowerQ.getQ3Min());
                influxDBDataHarmPhasicV.setQ4(dataHarmpowerQ.getQ4Min());
                influxDBDataHarmPhasicV.setQ5(dataHarmpowerQ.getQ5Min());
                influxDBDataHarmPhasicV.setQ6(dataHarmpowerQ.getQ6Min());
                influxDBDataHarmPhasicV.setQ7(dataHarmpowerQ.getQ7Min());
                influxDBDataHarmPhasicV.setQ8(dataHarmpowerQ.getQ8Min());
                influxDBDataHarmPhasicV.setQ9(dataHarmpowerQ.getQ9Min());
                influxDBDataHarmPhasicV.setQ10(dataHarmpowerQ.getQ10Min());
                influxDBDataHarmPhasicV.setQ11(dataHarmpowerQ.getQ11Min());
                influxDBDataHarmPhasicV.setQ12(dataHarmpowerQ.getQ12Min());
                influxDBDataHarmPhasicV.setQ13(dataHarmpowerQ.getQ13Min());
                influxDBDataHarmPhasicV.setQ14(dataHarmpowerQ.getQ14Min());
                influxDBDataHarmPhasicV.setQ15(dataHarmpowerQ.getQ15Min());
                influxDBDataHarmPhasicV.setQ16(dataHarmpowerQ.getQ16Min());
                influxDBDataHarmPhasicV.setQ17(dataHarmpowerQ.getQ17Min());
                influxDBDataHarmPhasicV.setQ18(dataHarmpowerQ.getQ18Min());
                influxDBDataHarmPhasicV.setQ19(dataHarmpowerQ.getQ19Min());
                influxDBDataHarmPhasicV.setQ20(dataHarmpowerQ.getQ20Min());
                influxDBDataHarmPhasicV.setQ21(dataHarmpowerQ.getQ21Min());
                influxDBDataHarmPhasicV.setQ22(dataHarmpowerQ.getQ22Min());
                influxDBDataHarmPhasicV.setQ23(dataHarmpowerQ.getQ23Min());
                influxDBDataHarmPhasicV.setQ24(dataHarmpowerQ.getQ24Min());
                influxDBDataHarmPhasicV.setQ25(dataHarmpowerQ.getQ25Min());
                influxDBDataHarmPhasicV.setQ26(dataHarmpowerQ.getQ26Min());
                influxDBDataHarmPhasicV.setQ27(dataHarmpowerQ.getQ27Min());
                influxDBDataHarmPhasicV.setQ28(dataHarmpowerQ.getQ28Min());
                influxDBDataHarmPhasicV.setQ29(dataHarmpowerQ.getQ29Min());
                influxDBDataHarmPhasicV.setQ30(dataHarmpowerQ.getQ30Min());
                influxDBDataHarmPhasicV.setQ31(dataHarmpowerQ.getQ31Min());
                influxDBDataHarmPhasicV.setQ32(dataHarmpowerQ.getQ32Min());
                influxDBDataHarmPhasicV.setQ33(dataHarmpowerQ.getQ33Min());
                influxDBDataHarmPhasicV.setQ34(dataHarmpowerQ.getQ34Min());
                influxDBDataHarmPhasicV.setQ35(dataHarmpowerQ.getQ35Min());
                influxDBDataHarmPhasicV.setQ36(dataHarmpowerQ.getQ36Min());
                influxDBDataHarmPhasicV.setQ37(dataHarmpowerQ.getQ37Min());
                influxDBDataHarmPhasicV.setQ38(dataHarmpowerQ.getQ38Min());
                influxDBDataHarmPhasicV.setQ39(dataHarmpowerQ.getQ39Min());
                influxDBDataHarmPhasicV.setQ40(dataHarmpowerQ.getQ40Min());
                influxDBDataHarmPhasicV.setQ41(dataHarmpowerQ.getQ41Min());
                influxDBDataHarmPhasicV.setQ42(dataHarmpowerQ.getQ42Min());
                influxDBDataHarmPhasicV.setQ43(dataHarmpowerQ.getQ43Min());
                influxDBDataHarmPhasicV.setQ44(dataHarmpowerQ.getQ44Min());
                influxDBDataHarmPhasicV.setQ45(dataHarmpowerQ.getQ45Min());
                influxDBDataHarmPhasicV.setQ46(dataHarmpowerQ.getQ46Min());
                influxDBDataHarmPhasicV.setQ47(dataHarmpowerQ.getQ47Min());
                influxDBDataHarmPhasicV.setQ48(dataHarmpowerQ.getQ48Min());
                influxDBDataHarmPhasicV.setQ49(dataHarmpowerQ.getQ49Min());
                influxDBDataHarmPhasicV.setQ50(dataHarmpowerQ.getQ50Min());
            }
            else if (valueType.equals("CP95")){
                influxDBDataHarmPhasicV.setQ(dataHarmpowerQ.getQCp95());

                influxDBDataHarmPhasicV.setQ1(dataHarmpowerQ.getQ1Cp95());
                influxDBDataHarmPhasicV.setQ2(dataHarmpowerQ.getQ2Cp95());
                influxDBDataHarmPhasicV.setQ3(dataHarmpowerQ.getQ3Cp95());
                influxDBDataHarmPhasicV.setQ4(dataHarmpowerQ.getQ4Cp95());
                influxDBDataHarmPhasicV.setQ5(dataHarmpowerQ.getQ5Cp95());
                influxDBDataHarmPhasicV.setQ6(dataHarmpowerQ.getQ6Cp95());
                influxDBDataHarmPhasicV.setQ7(dataHarmpowerQ.getQ7Cp95());
                influxDBDataHarmPhasicV.setQ8(dataHarmpowerQ.getQ8Cp95());
                influxDBDataHarmPhasicV.setQ9(dataHarmpowerQ.getQ9Cp95());
                influxDBDataHarmPhasicV.setQ10(dataHarmpowerQ.getQ10Cp95());
                influxDBDataHarmPhasicV.setQ11(dataHarmpowerQ.getQ11Cp95());
                influxDBDataHarmPhasicV.setQ12(dataHarmpowerQ.getQ12Cp95());
                influxDBDataHarmPhasicV.setQ13(dataHarmpowerQ.getQ13Cp95());
                influxDBDataHarmPhasicV.setQ14(dataHarmpowerQ.getQ14Cp95());
                influxDBDataHarmPhasicV.setQ15(dataHarmpowerQ.getQ15Cp95());
                influxDBDataHarmPhasicV.setQ16(dataHarmpowerQ.getQ16Cp95());
                influxDBDataHarmPhasicV.setQ17(dataHarmpowerQ.getQ17Cp95());
                influxDBDataHarmPhasicV.setQ18(dataHarmpowerQ.getQ18Cp95());
                influxDBDataHarmPhasicV.setQ19(dataHarmpowerQ.getQ19Cp95());
                influxDBDataHarmPhasicV.setQ20(dataHarmpowerQ.getQ20Cp95());
                influxDBDataHarmPhasicV.setQ21(dataHarmpowerQ.getQ21Cp95());
                influxDBDataHarmPhasicV.setQ22(dataHarmpowerQ.getQ22Cp95());
                influxDBDataHarmPhasicV.setQ23(dataHarmpowerQ.getQ23Cp95());
                influxDBDataHarmPhasicV.setQ24(dataHarmpowerQ.getQ24Cp95());
                influxDBDataHarmPhasicV.setQ25(dataHarmpowerQ.getQ25Cp95());
                influxDBDataHarmPhasicV.setQ26(dataHarmpowerQ.getQ26Cp95());
                influxDBDataHarmPhasicV.setQ27(dataHarmpowerQ.getQ27Cp95());
                influxDBDataHarmPhasicV.setQ28(dataHarmpowerQ.getQ28Cp95());
                influxDBDataHarmPhasicV.setQ29(dataHarmpowerQ.getQ29Cp95());
                influxDBDataHarmPhasicV.setQ30(dataHarmpowerQ.getQ30Cp95());
                influxDBDataHarmPhasicV.setQ31(dataHarmpowerQ.getQ31Cp95());
                influxDBDataHarmPhasicV.setQ32(dataHarmpowerQ.getQ32Cp95());
                influxDBDataHarmPhasicV.setQ33(dataHarmpowerQ.getQ33Cp95());
                influxDBDataHarmPhasicV.setQ34(dataHarmpowerQ.getQ34Cp95());
                influxDBDataHarmPhasicV.setQ35(dataHarmpowerQ.getQ35Cp95());
                influxDBDataHarmPhasicV.setQ36(dataHarmpowerQ.getQ36Cp95());
                influxDBDataHarmPhasicV.setQ37(dataHarmpowerQ.getQ37Cp95());
                influxDBDataHarmPhasicV.setQ38(dataHarmpowerQ.getQ38Cp95());
                influxDBDataHarmPhasicV.setQ39(dataHarmpowerQ.getQ39Cp95());
                influxDBDataHarmPhasicV.setQ40(dataHarmpowerQ.getQ40Cp95());
                influxDBDataHarmPhasicV.setQ41(dataHarmpowerQ.getQ41Cp95());
                influxDBDataHarmPhasicV.setQ42(dataHarmpowerQ.getQ42Cp95());
                influxDBDataHarmPhasicV.setQ43(dataHarmpowerQ.getQ43Cp95());
                influxDBDataHarmPhasicV.setQ44(dataHarmpowerQ.getQ44Cp95());
                influxDBDataHarmPhasicV.setQ45(dataHarmpowerQ.getQ45Cp95());
                influxDBDataHarmPhasicV.setQ46(dataHarmpowerQ.getQ46Cp95());
                influxDBDataHarmPhasicV.setQ47(dataHarmpowerQ.getQ47Cp95());
                influxDBDataHarmPhasicV.setQ48(dataHarmpowerQ.getQ48Cp95());
                influxDBDataHarmPhasicV.setQ49(dataHarmpowerQ.getQ49Cp95());
                influxDBDataHarmPhasicV.setQ50(dataHarmpowerQ.getQ50Cp95());
            }

            influxDBDataHarmPhasicVList.add(influxDBDataHarmPhasicV);

        }



        return influxDBDataHarmPhasicVList;
    }


}
